Subject: bug#57137: FreeCAD welcome page text rendering does not work.

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 11 Aug 2022 11:34:14 +0000

It's a QtWebengine/Chromium bug that affects several programs like
Calibre, FreeCAD or Qutebrowser (see issues #54033 and #54297).

A workaround is to pass the "no-sandbox" option to Chromium. It can be
done by setting the QTWEBENGINE_CHROMIUM_FLAGS environment variable.
For example:

--8<---------------cut here---------------start------------->8---
QTWEBENGINE_CHROMIUM_FLAGS="--no-sandbox" FreeCAD
--8<---------------cut here---------------end--------------->8---

or:

--8<---------------cut here---------------start------------->8---
export QTWEBENGINE_CHROMIUM_FLAGS="--no-sandbox"
FreeCAD
--8<---------------cut here---------------end--------------->8---